name: NEOGReflect
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "15.0"
  generateEmptyDirectories: true

settings:
  base:
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_STYLE: Automatic
    PRODUCT_NAME: "NEOG Reflect"
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    INFOPLIST_KEY_LSApplicationCategoryType: "public.app-category.productivity"
    INFOPLIST_KEY_CFBundleDisplayName: "NEOG Reflect"

targets:
  NEOGReflect:
    type: application
    platform: macOS
    sources:
      - path: Sources
        group: Sources
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.reflect
        INFOPLIST_KEY_NSHumanReadableCopyright: "Copyright 2025 NEOG"
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        ENABLE_PREVIEWS: YES
        GENERATE_INFOPLIST_FILE: YES
